Bug 1027176 - GUI auto-attach confirm subscriptions screen not displaying the subscription details
Summary: GUI auto-attach confirm subscriptions screen not displaying the subscription ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin
Version: 0.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: William Poteat
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel66
TreeView+ depends on / blocked
 
Reported: 2013-11-06 10:29 UTC by Rehana
Modified: 2015-05-14 14:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-13 14:54:11 UTC


Attachments (Terms of Use)
select servicelevel (130.58 KB, image/png)
2013-11-06 10:32 UTC, Rehana
no flags Details
confirm-subscriptions window (118.94 KB, image/png)
2013-11-06 10:33 UTC, Rehana
no flags Details

Description Rehana 2013-11-06 10:29:22 UTC
Description of problem:
Observed during host-guest auto-bind testing that..when ever virtual subscription are choose by the auto-bind the confirm subscription screen displayed empty list of subscriptions

Version-Release number of selected component (if applicable):
subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.8.31-1
subscription-manager: 1.10.4-1.git.5.4454d56.el7
python-rhsm: 1.10.3-1.git.1.ce3727f.el7


How reproducible:
2/2

Steps to Reproduce:
1.Register host and guest to the same org
2.Install a product on the guest
3.now launch gui
4.Click auto-attach, and select the sevice-level and click next

Actual results:
Displayed a empty list on the confirm subscription window (PFA), and before clicking on the "attach" button the subscription was attached and host was healed

Expected results:
Should list the virtual pool  details in the confirm subscription window, only once the user confirm then only the subscription should get attached

Additional info:

Comment 1 Rehana 2013-11-06 10:32:34 UTC
Created attachment 820283 [details]
select servicelevel

Comment 2 Rehana 2013-11-06 10:33:14 UTC
Created attachment 820284 [details]
confirm-subscriptions window

Comment 3 William Poteat 2014-05-13 14:54:11 UTC
I have repeated this test under the following conditions:

subscription management server: 0.9.12-1
subscription-manager: 1.11.6-1.git.9.9135190.fc20
python-rhsm: 1.11.4-1.git.1.2f38ded.fc20


Ths virtual pool details showed correctly


Note You need to log in before you can comment on or make changes to this bug.